What happened to an application
GET /api/hr/v1/recruiting/applications/{id}/history
Module: HR · operationId: getApplicationHistory · Tag: Recruiting · Auth: access token (Authorization: Bearer <accessToken>)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | yes |
Responses
- 200 History, oldest first (
application/json) - 404 Error (
application/json)
Fields of the 200 answer:
items(array of ApplicationHistoryEntry): What happened, oldest firstaction(string): created, updated, move, reopen, rejected, withdrawn, hired, file_added, file_removed, mail_sent, mail_received, mail_files_skipped, interview_scheduled, interview_invited, interview_confirmed, interview_declined, interview_cancelledactorName(string): Display name of who did itactorRef(string): Who did it (e-mail; the applicant for their own actions)at(string (date-time)): When it happeneddetail(object): Further facts of the actionfromStageId(string (uuid)): Stage before a movetoStageId(string (uuid)): Stage after a move
Example 200 answer:
{
"items": [
{
"action": "created",
"actorName": "Stefan Lindner",
"actorRef": "stefan.lindner@mail.example",
"at": "2026-11-02T18:43:00Z",
"toStageId": "6c8e0a2c-4e6a-4c8e-8a2c-4e6a8c0e2a82"
},
{
"action": "move",
"actorName": "Tobias Hartl",
"actorRef": "tobias.hartl@muster-it.example",
"at": "2026-11-05T08:50:00Z",
"fromStageId": "6c8e0a2c-4e6a-4c8e-8a2c-4e6a8c0e2a82",
"toStageId": "8e0a2c4e-6a8c-4e0a-9c4e-6a8c0e2a4c83"
},
{
"action": "move",
"actorName": "Tobias Hartl",
"actorRef": "tobias.hartl@muster-it.example",
"at": "2026-11-12T10:30:00Z",
"fromStageId": "8e0a2c4e-6a8c-4e0a-9c4e-6a8c0e2a4c83",
"toStageId": "0a2c4e6a-8c0e-4a2c-8e6a-8c0e2a4c6e84"
},
{
"action": "interview_scheduled",
"actorName": "Tobias Hartl",
"actorRef": "tobias.hartl@muster-it.example",
"at": "2026-11-12T10:34:00Z",
"detail": {
"interviewId": "5a7c9e1a-3c5e-4a7c-9e1a-3c5e7a9c1e98",
"startsAt": "2026-11-24T09:00:00Z"
}
}
]
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/hr/v1/recruiting/applications/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/history' \
-H "Authorization: Bearer $ACCESS_TOKEN"